| Package | Description |
|---|---|
| io.helidon.webserver |
Reactive web server API.
|
| Modifier and Type | Method and Description |
|---|---|
void |
ResponseHeaders.addAcceptPatches(MediaType... acceptableMediaTypes)
Adds one or more acceptedTypes path document formats (header "Accept-Patch").
|
void |
ResponseHeaders.addCookie(java.lang.String name,
java.lang.String value)
Adds
Set-Cookie header based on RFC2616. |
void |
ResponseHeaders.addCookie(java.lang.String name,
java.lang.String value,
java.time.Duration maxAge)
|
void |
ResponseHeaders.contentLength(long contentLength)
Sets the value of "Content-Length" header.
|
void |
ResponseHeaders.contentType(MediaType contentType)
Sets the MIME type of the response body.
|
void |
ResponseHeaders.expires(java.time.Instant dateTime)
Sets the value of "Expires" header.
|
void |
ResponseHeaders.expires(java.time.ZonedDateTime dateTime)
Sets the value of "Expires" header.
|
void |
ResponseHeaders.lastModified(java.time.Instant dateTime)
Sets the value of "Last-Modified" header.
|
void |
ResponseHeaders.lastModified(java.time.ZonedDateTime dateTime)
Sets the value of "Last-Modified" header.
|
void |
ResponseHeaders.location(java.net.URI location)
Sets the value of "Location" header.
|
default ServerResponse |
ServerResponse.status(int statusCode)
Sets new HTTP status code.
|
ServerResponse |
ServerResponse.status(Http.ResponseStatus status)
Sets new HTTP status.
|
Copyright © 2018, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.